
<ion-content>

  
  <div class="nav" style="margin-bottom:50px;">
  <nav class="navbar " style="background:'#dc3545'; width:100%">
      <button class="navbar-toggler" style="background:'#2271b3'; color:'white'" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
    
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto" style="padding: 20px;">
          <li class="nav-item active">
            <a class="nav-link" style="color:'white';"href="#">Inicio <span class="sr-only">(current)</span></a>
          </li>
         
        
        </ul>
       
      </div>
    </nav>
  </div>
  
      <h1 style="text-align: center;font-weight: bold; color:#dc3545">Registrarse</h1>
  
    <div class="login" style="padding:20px; margin:20px;">
     <div class="card-content">
     <div class="container">
  
      <form class="container form-login" >
  
        <mat-form-field class="example-full-width" >
          <mat-label>Nombres y Apellidos Completos</mat-label>
          <input type="text" matInput id="inputs" [formControl]="nombreFormControl" [errorStateMatcher]="matcher"
                >
      
          <mat-error *ngIf="nombreFormControl.hasError('required')">
          Nombres y Apellidos <strong>Requerido</strong>
  
          </mat-error>
  
        </mat-form-field>
  
  
  
        <mat-form-field   class="example-full-width" >
        
          <mat-label>Tipo de Documento</mat-label>
      
          <mat-select [formControl]="tipodocumentoFormControl" [errorStateMatcher]="matcher">
            <mat-option value="Cedula Ciudadania">Cedula de Ciudadania</mat-option>
            <mat-option value="Cedula de Extranjeria">Cedula de Extranjeria</mat-option>
          <mat-option value="NIT">NIT</mat-option>
  
        </mat-select>
         <mat-error *ngIf="tipodocumentoFormControl.hasError('email') && !tipodocumentoFormControl.hasError('required')">
          
          Por favor Ingrese un Tipo de Documento
          </mat-error>
          <mat-error *ngIf="tipodocumentoFormControl.hasError('required')">
          Tipo de documento <strong>Requerido</strong>
  
          </mat-error>
          
     
        </mat-form-field>
       
  
     <mat-form-field   class="example-full-width" >
        
          <mat-label> Documento</mat-label>
          <input type="number" matInput id="inputs" [formControl]="documentoFormControl" [errorStateMatcher]="matcher"
                >
      
          <mat-error *ngIf="documentoFormControl.hasError('required')">
          Documento <strong>Requerida</strong>
  
          </mat-error>
          
     
        </mat-form-field>
       
  
     <mat-form-field   class="example-full-width" >
        
          <mat-label> Direccion</mat-label>
          <input type="text" matInput id="inputs" [formControl]="direccionresidencialFormControl" [errorStateMatcher]="matcher"
                >
      
          <mat-error *ngIf="direccionresidencialFormControl.hasError('required')">
          Direccion <strong>Requerida</strong>
  
          </mat-error>
          
     
        </mat-form-field>
       
        <mat-form-field class="example-full-width">
          <mat-label>Correo Electronico</mat-label>
          <input type="email" matInput id="inputs" [formControl]="emailFormControl" [errorStateMatcher]="matcher"
                placeholder="Ex. pat@example.com">
          <mat-error *ngIf="emailFormControl.hasError('email') && !emailFormControl.hasError('required')">
          
          Por favor Ingrese un correo electronico valido
          </mat-error>
          <mat-error *ngIf="emailFormControl.hasError('required')">
          Correo Electronico <strong>Requerido</strong>
  
          </mat-error>
  
        </mat-form-field>
  
        <mat-form-field   class="example-full-width">
        
          <mat-label>Contraseña</mat-label>
          <input type="password" matInput id="inputs" [formControl]="passwordFormControl" [errorStateMatcher]="matcher"
                >
         <mat-error *ngIf="passwordFormControl.hasError('min')">
          Minimo 8 caracteres
          </mat-error>
          <mat-error *ngIf="passwordFormControl.hasError('required')">
          Contraseña <strong>Requerida</strong>
  
          </mat-error>
          
     
        </mat-form-field>
        <mat-form-field   class="example-full-width">
        
          <mat-label>Confirmar Contraseña</mat-label>
          <input type="password" matInput id="inputs" [formControl]="passwordFormControl" [errorStateMatcher]="matcher"
                >
         <mat-error *ngIf="passwordFormControl.hasError('min')">
          Minimo 8 caracteres
          </mat-error>
          <mat-error *ngIf="passwordFormControl.hasError('required')">
          Contraseña <strong>Requerida</strong>
  
          </mat-error>
          
     
        </mat-form-field><br><br>
       
        <button class="btn btn-danger"[disabled]="passwordFormControl.invalid" (click)=" registrarUsuario()">Registarse</button>
      </form>
  
      
  
      </div>
     </div>
    </div>
  <div style="text-align:center">    
    <a routerLink="/login">Acceder</a>
    <!-- more links here -->
  </div>
  </ion-content>
  